> For the complete documentation index, see [llms.txt](https://docs.luciq.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.luciq.ai/kmp/setup-luciq-for-kmp/setup-in-app-replies.md).

# Setup In-App Replies

In-App Replies (chat) lets users have conversations with your team. You can show the conversations screen, check for existing chats, get unread count, and manage notifications.

* [Show Replies List](/kmp/setup-luciq-for-kmp/setup-in-app-replies/show-replies-list.md) – `RepliesKmp.show()` and `hasChats()`
* [Managing Notifications](/kmp/setup-luciq-for-kmp/setup-in-app-replies/managing-notifications.md) – In-app notifications, sound, push (Android)
* [In-App Replies Callbacks](/kmp/setup-luciq-for-kmp/setup-in-app-replies/in-app-replies-callbacks.md) – `onNewReply`
* [Disabling/Enabling In-App Replies](/kmp/setup-luciq-for-kmp/setup-in-app-replies/disabling-enabling-in-app-replies.md) – Turn replies on or off

### Show conversations

{% code title="Kotlin" %}

```kotlin
RepliesKmp.show()
```

{% endcode %}

Shows the conversations screen. If the user has no chats, it may have no effect depending on the native SDK.

### Check if user has chats

{% code title="Kotlin" %}

```kotlin
scope.launch {
    val hasChats = RepliesKmp.hasChats()
    if (hasChats) showRepliesButton()
}
```

{% endcode %}

### Unread count

{% code title="Kotlin" %}

```kotlin
scope.launch {
    val count = RepliesKmp.getUnreadRepliesCount()
    updateBadge(count)
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.luciq.ai/kmp/setup-luciq-for-kmp/setup-in-app-replies.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
